gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.DeviceTool

Contents

- Exported types
- Methods
  - getHardwareId
  - getSerial
  - getToolType
- Properties
  - axes
  - hardwareId
  - serial
  - toolType

Description

No description available in the introspection data.

Synopsis

- newtype DeviceTool = DeviceTool (ManagedPtr DeviceTool)
- class (GObject o, IsDescendantOf DeviceTool o) => IsDeviceTool o
- toDeviceTool :: (MonadIO m, IsDeviceTool o) => o -> m DeviceTool
- deviceToolGetHardwareId :: (HasCallStack, MonadIO m, IsDeviceTool a) => a -> m Word64
- deviceToolGetSerial :: (HasCallStack, MonadIO m, IsDeviceTool a) => a -> m Word64
- deviceToolGetToolType :: (HasCallStack, MonadIO m, IsDeviceTool a) => a -> m DeviceToolType
- constructDeviceToolAxes :: (IsDeviceTool o, MonadIO m) => [AxisFlags] -> m (GValueConstruct o)
- getDeviceToolAxes :: (MonadIO m, IsDeviceTool o) => o -> m [AxisFlags]
- constructDeviceToolHardwareId :: (IsDeviceTool o, MonadIO m) => Word64 -> m (GValueConstruct o)
- getDeviceToolHardwareId :: (MonadIO m, IsDeviceTool o) => o -> m Word64
- constructDeviceToolSerial :: (IsDeviceTool o, MonadIO m) => Word64 -> m (GValueConstruct o)
- getDeviceToolSerial :: (MonadIO m, IsDeviceTool o) => o -> m Word64
- constructDeviceToolToolType :: (IsDeviceTool o, MonadIO m) => DeviceToolType -> m (GValueConstruct o)
- getDeviceToolToolType :: (MonadIO m, IsDeviceTool o) => o -> m DeviceToolType

# Exported types

newtype DeviceTool Source #

Memory-managed wrapper type.

Constructors

DeviceTool (ManagedPtr DeviceTool) |

#### Instances

Instances details

Eq DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool Methods (==) :: DeviceTool -> DeviceTool -> Bool Source # (/=) :: DeviceTool -> DeviceTool -> Bool Source #
GObject DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool
ManagedPtrNewtype DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool Methods toManagedPtr :: DeviceTool -> ManagedPtr DeviceTool Source #
TypedObject DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool Methods glibType :: IO GType Source #
HasParentTypes DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool
IsGValue (Maybe DeviceTool) Source # | Convert `DeviceTool` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Objects.DeviceTool Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DeviceTool -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DeviceTool) Source #
type ParentTypes DeviceTool Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool type ParentTypes DeviceTool = '[Object]

class (GObject o, IsDescendantOf DeviceTool o) => IsDeviceTool o Source #

Type class for types which can be safely cast to `DeviceTool`, for instance with `toDeviceTool`.

#### Instances

Instances details

(GObject o, IsDescendantOf DeviceTool o) => IsDeviceTool o Source # |
Instance details Defined in GI.Gdk.Objects.DeviceTool

toDeviceTool :: (MonadIO m, IsDeviceTool o) => o -> m DeviceTool Source #

Cast to `DeviceTool`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getHardwareId, getProperty, getQdata, getSerial, getToolType.

#### Setters

setData, setDataFull, setProperty.

## getHardwareId

deviceToolGetHardwareId Source #

Arguments

:: (HasCallStack, MonadIO m, IsDeviceTool a) |
=> a | `tool`: a `DeviceTool`
-> m Word64 | Returns: The hardware identificator of this tool.

Gets the hardware ID of this tool, or 0 if it's not known. When non-zero, the identificator is unique for the given tool model, meaning that two identical tools will share the same `hardwareId`, but will have different serial numbers (see `deviceToolGetSerial`).

This is a more concrete (and device specific) method to identify a `DeviceTool` than `deviceToolGetToolType`, as a tablet may support multiple devices with the same `DeviceToolType`, but having different hardware identificators.

Since: 3.22

## getSerial

deviceToolGetSerial Source #

Arguments

:: (HasCallStack, MonadIO m, IsDeviceTool a) |
=> a | `tool`: a `DeviceTool`
-> m Word64 | Returns: The serial ID for this tool

Gets the serial of this tool, this value can be used to identify a physical tool (eg. a tablet pen) across program executions.

Since: 3.22

## getToolType

deviceToolGetToolType Source #

Arguments

:: (HasCallStack, MonadIO m, IsDeviceTool a) |
=> a | `tool`: a `DeviceTool`
-> m DeviceToolType | Returns: The physical type for this tool. This can be used to figure out what sort of pen is being used, such as an airbrush or a pencil.

Gets the `DeviceToolType` of the tool.

Since: 3.22

# Properties

## axes

No description available in the introspection data.

constructDeviceToolAxes :: (IsDeviceTool o, MonadIO m) => [AxisFlags] -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`axes`” property. This is rarely needed directly, but it is used by `new`.

getDeviceToolAxes :: (MonadIO m, IsDeviceTool o) => o -> m [AxisFlags] Source #

Get the value of the “`axes`” property. When overloading is enabled, this is equivalent to

    get deviceTool #axes

## hardwareId

No description available in the introspection data.

constructDeviceToolHardwareId :: (IsDeviceTool o, MonadIO m) => Word64 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`hardware-id`” property. This is rarely needed directly, but it is used by `new`.

getDeviceToolHardwareId :: (MonadIO m, IsDeviceTool o) => o -> m Word64 Source #

Get the value of the “`hardware-id`” property. When overloading is enabled, this is equivalent to

    get deviceTool #hardwareId

## serial

No description available in the introspection data.

constructDeviceToolSerial :: (IsDeviceTool o, MonadIO m) => Word64 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`serial`” property. This is rarely needed directly, but it is used by `new`.

getDeviceToolSerial :: (MonadIO m, IsDeviceTool o) => o -> m Word64 Source #

Get the value of the “`serial`” property. When overloading is enabled, this is equivalent to

    get deviceTool #serial

## toolType

No description available in the introspection data.

constructDeviceToolToolType :: (IsDeviceTool o, MonadIO m) => DeviceToolType -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`tool-type`” property. This is rarely needed directly, but it is used by `new`.

getDeviceToolToolType :: (MonadIO m, IsDeviceTool o) => o -> m DeviceToolType Source #

Get the value of the “`tool-type`” property. When overloading is enabled, this is equivalent to

    get deviceTool #toolType